PUT /api/v202501/emissionSource/factorCategory/update

Bulk-assigns scope category and emission factor pairings to multiple emission sources

EditEmissionSourceFactorCategories_BulkV202501 Permissions: EmissionsSources (Edit)
Applies specified factor category pairings to the listed emission sources. If a factor cannot be applied to a source (e.g., incompatible commodity), that source is skipped.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

EmissionSourceFactorCategoryBulkUpdateV202501
Property Description Type
emissionSourceIds A list of emission source IDs to apply the specified factor/category pairs to Required (defined) integer[]
factorCategoryPairs A list of factor/category pairs to apply to the specified emission sources Required (defined) GHGasFactorAndScopeCategoryPairCreate[]
GHGasFactorAndScopeCategoryPairCreate properties
Property Description Type
factor GHGDefaultFactor
GHGDefaultFactor properties
Property Description Type
factorId The Greenhouse Gas Factor identifier Required when FactorType is set to specific factor Must be null when FactorType is set to use meter address integer (int32)
factorType The Greenhouse Gas Factor type. The valid values for this field are “use meter address” or “specific factor” Required One of ‘use meter address’, ‘specific factor’ string
isDefault Flag to indicate if this Factor and Category should be considered the default for this Emission Source Required (defined) boolean
scopeCategoryId The Scope Category ID to use for this Factor/Category Pairing Required (defined) integer (int32)
Example Request Body application/json
{  "emissionSourceIds": [
    1
  ],  "factorCategoryPairs": [
    {    "factor": {      "factorId": 1,      "factorType": "string"
    },    "isDefault": false,    "scopeCategoryId": 1
  }
  ]
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

UpdateSkippedResult
Property Description Type
selected The total number of items that were targeted by the bulk operation Required (defined) integer (int32)
skipped Required (defined) integer (int32)
skippedEntityIds Required (defined) integer[]
updated The number of items that were actually modified (excludes items that already matched the target state) Required (defined) integer (int32)
Example Response application/json
{  "selected": 1,  "skipped": 1,  "skippedEntityIds": [
    1
  ],  "updated": 1
}